dbXML API

## org.dbxml.xml
Class TextWriter

    java.lang.Object
      |
      +--org.dbxml.xml.TextWriter

public final class TextWriter
extends java.lang.Object

TextWriter takes a Document, DocumentFragment, or Element and streams it as text to an output source (or a String)

Constructor Summary
`TextWriter(org.w3c.dom.Document document)`
`TextWriter(org.w3c.dom.DocumentFragment fragment)`
`TextWriter(org.w3c.dom.Element element)`
`TextWriter(org.w3c.dom.Node node)`

Method Summary
`java.lang.String` `toString()` toString returns the node as a String.
`static java.lang.String` `toString(org.w3c.dom.Node node)` toString returns the node as a String.
`static void` `write(org.w3c.dom.Node node, java.io.OutputStream output)` write writes the specified node to the OutputStream as text.
`static void` `write(org.w3c.dom.Node node, java.io.Writer writer)` write writes the specified node to the writer as text.
`void` `write(java.io.OutputStream output)` write writes the node to the OutputStream as text.
`void` `write(java.io.Writer writer)` write writes the node to the writer as text.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TextWriter

    public TextWriter(org.w3c.dom.Node node)
               throws org.w3c.dom.DOMException

### TextWriter

    public TextWriter(org.w3c.dom.Document document)

### TextWriter

    public TextWriter(org.w3c.dom.Element element)

### TextWriter

    public TextWriter(org.w3c.dom.DocumentFragment fragment)

Method Detail

### write

    public static void write(org.w3c.dom.Node node,
                             java.io.Writer writer)
                      throws java.io.IOException

  write writes the specified node to the writer as text.
  Parameters:
    `node` - The Node to write
    `writer` - The Writer to write to

### write

    public void write(java.io.Writer writer)
               throws java.io.IOException

  write writes the node to the writer as text.
  Parameters:
    `writer` - The Writer to write to

### write

    public static void write(org.w3c.dom.Node node,
                             java.io.OutputStream output)
                      throws java.io.IOException

  write writes the specified node to the OutputStream as text.
  Parameters:
    `node` - The Node to write
    `output` - The OutputStream to write to

### write

    public void write(java.io.OutputStream output)
               throws java.io.IOException

  write writes the node to the OutputStream as text.
  Parameters:
    `output` - The OutputStream to write to

### toString

    public static java.lang.String toString(org.w3c.dom.Node node)

  toString returns the node as a String.
  Parameters:
    `node` - The Node to convert
  Returns:
    The String value

### toString

    public java.lang.String toString()

  toString returns the node as a String.
  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    The String value

dbXML API

Copyright (c) 1999-2001 The dbXML Group, All rights reserved